Bug 50460

Summary: Update port: devel/distcc to version 2.0.1
Product: Ports & Packages Reporter: Frerich Raabe <frerich.raabe>
Component: Individual Port(s)Assignee: freebsd-ports-bugs mailing list <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Frerich Raabe 2003-03-30 20:10:09 UTC
The attached patch updates the devel/distcc port to honour distcc
version 2.0.1.

How-To-Repeat: diff -ruN distcc.old/Makefile distcc/Makefile
--- distcc.old/Makefile	Sun Mar 30 20:16:36 2003
+++ distcc/Makefile	Sun Mar 30 20:24:49 2003
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	distcc
-PORTVERSION=	1.2.1
+PORTVERSION=	2.0.1
 CATEGORIES=	devel
 MASTER_SITES=	http://distcc.samba.org/ftp/distcc/
 
@@ -22,8 +22,8 @@
 CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" LDFLAGS="-L${LOCALBASE}/lib"
 
 MAN1=	distcc.1 distccd.1
-DOC_FILES=	AUTHORS COPYING COPYING.FDL NEWS OLDNEWS README \
-		linuxdoc/distcc.info.gz linuxdoc/distcc.sgml
+DOC_FILES=	AUTHORS COPYING COPYING.FDL NEWS README \
+		linuxdoc/distcc.sgml
 HTML_DOC_FILES=	distcc.html distcc-1.html distcc-2.html distcc-3.html \
 		distcc-4.html distcc-5.html distcc-6.html
 
diff -ruN distcc.old/distinfo distcc/distinfo
--- distcc.old/distinfo	Sun Mar 30 20:16:36 2003
+++ distcc/distinfo	Sun Mar 30 20:22:37 2003
@@ -1 +1 @@
-MD5 (distcc-1.2.1.tar.bz2) = 03d55a0a3ccaf8266c087623991ae58a
+MD5 (distcc-2.0.1.tar.bz2) = ffa89d1ce43b317fc67038c08200b9bc
diff -ruN distcc.old/files/patch-src_access.c distcc/files/patch-src_access.c
--- distcc.old/files/patch-src_access.c	Sun Mar 30 20:16:36 2003
+++ distcc/files/patch-src_access.c	Thu Jan  1 01:00:00 1970
@@ -1,13 +0,0 @@
-
-$FreeBSD: ports/devel/distcc/files/patch-src_access.c,v 1.1 2003/03/02 16:05:34 naddy Exp $
-
---- src/access.c.orig	Sun Mar  2 16:59:12 2003
-+++ src/access.c	Sun Mar  2 16:59:29 2003
-@@ -30,6 +30,7 @@
- #include <stdlib.h>
- #include <string.h>
- 
-+#include <sys/types.h>
- #include <sys/socket.h>
- #include <netinet/in.h>
- #include <arpa/inet.h>
diff -ruN distcc.old/pkg-plist distcc/pkg-plist
--- distcc.old/pkg-plist	Sun Mar 30 20:16:36 2003
+++ distcc/pkg-plist	Sun Mar 30 20:25:38 2003
@@ -4,9 +4,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/COPYING
 %%PORTDOCS%%%%DOCSDIR%%/COPYING.FDL
 %%PORTDOCS%%%%DOCSDIR%%/NEWS
-%%PORTDOCS%%%%DOCSDIR%%/OLDNEWS
 %%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%%%DOCSDIR%%/distcc.info.gz
 %%PORTDOCS%%%%DOCSDIR%%/distcc.sgml
 %%PORTDOCS%%%%DOCSDIR%%/html/distcc.html
 %%PORTDOCS%%%%DOCSDIR%%/html/distcc-1.html
Comment 1 Mario Sergio Fujikawa Ferreira freebsd_committer 2003-03-31 00:55:05 UTC
State Changed
From-To: open->closed

Committed, thanks!